> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download record outputs

> Download orchestration record outputs with input and output node contexts



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /orchestration/records/download-outputs
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/records/download-outputs:
    post:
      tags:
        - Orchestration - Records
      summary: Download record outputs
      description: >-
        Download orchestration record outputs with input and output node
        contexts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              title: Request body
              description: Request body schema.
              type: object
              properties:
                workflowUuid:
                  title: Workflow UUID
                  description: Workflow identifier.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                outputNodeSlug:
                  title: Output node slug
                  description: Output node slug for download.
                  type: string
                format:
                  title: Format
                  description: Export format. Defaults to csv.
                  type: string
                  enum:
                    - csv
                    - json
                ids:
                  title: IDs
                  description: Record IDs to include.
                  type: array
                  items:
                    type: string
                title:
                  title: Title
                  description: Record title to match.
                  type: string
                releaseUuid:
                  title: Release UUID
                  description: Release identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                batchUuid:
                  title: Batch UUID
                  description: Batch identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                statuses:
                  title: Statuses
                  description: Record statuses to include.
                  type: array
                  items:
                    type: string
                    enum:
                      - pending
                      - running
                      - success
                      - error
                      - cancelled
                      - cancelling
                parentBatchUuid:
                  title: Parent batch UUID
                  description: Parent batch identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                parentRunUuid:
                  title: Parent run UUID
                  description: Parent run identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                parentNodeUuid:
                  title: Parent node UUID
                  description: Parent node identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                isGroupParent:
                  title: Is group parent
                  description: Whether to select group parent records.
                  type: boolean
                executionsFilter:
                  title: Executions filter
                  description: Execution filters for matching records.
                  type: object
                  properties:
                    conjonction:
                      type: string
                      enum:
                        - or
                        - and
                    groups:
                      type: array
                      items:
                        type: object
                        properties:
                          conjonction:
                            type: string
                            enum:
                              - or
                              - and
                          conditions:
                            type: array
                            items:
                              type: object
                              properties:
                                kind:
                                  type: string
                                  const: node
                                nodeSlug:
                                  type: string
                                status:
                                  type: string
                                  enum:
                                    - absent
                                    - pending
                                    - success
                                    - error
                                value:
                                  type: string
                              required:
                                - kind
                                - nodeSlug
                                - status
                        required:
                          - conjonction
                          - conditions
                  required:
                    - conjonction
                    - groups
                createdAfter:
                  title: Created after
                  description: Include records created after this timestamp.
                  type: string
                createdBefore:
                  title: Created before
                  description: Include records created before this timestamp.
                  type: string
              required:
                - workflowUuid
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    title: URL
                    description: Download URL for the exported record outputs.
                    type: string
                required:
                  - url
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````